Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.workarea
Interface PropagationMode

    public interface PropagationMode

`PropagationMode` defines the propagation properties of `WorkContext`s. `WorkContext`s can be propagated locally, across threads, across RMI invocations, across JMS queues and topics and across SOAP messages. In general `PropagationMode`s are provided as a bitwise-OR of desired values. If no `PropagationMode` is specified when a `WorkContext` is created then the default value `DEFAULT` is used which propagates data across remote, and local calls in the same thread, only.

See Also:
  `WorkContextMap`

Field Summary
`static int` | `DEFAULT` The default `PropagationMode` which is equivalent to `REMOTE`.
`static int` | `GLOBAL` Propagate a WorkContext across remote invocations and local invocations in the same thread.
`static int` | `JMS_QUEUE` Propagate a WorkContext to JMS queues.
`static int` | `JMS_TOPIC` Propagate a WorkContext to JMS topics.
`static int` | `LOCAL` Propagate a WorkContext only for the scope of the current thread.
`static int` | `MIME_HEADER` Propagate a WorkContext from a MIME header or HTTP cookie.
`static int` | `ONEWAY` Propagate a WorkContext downstream from the caller only.
`static int` | `RMI` Propagate a WorkContext across RMI invocations.
`static int` | `SOAP` Propagate a WorkContext across SOAP messages.
`static int` | `TRANSACTION` Propagate a WorkContext across global transactions.
`static int` | `WORK` Propagate a WorkContext across Work instances.

Field Detail

### LOCAL

    static final int LOCAL

  Propagate a WorkContext only for the scope of the current thread.

  See Also:
    Constant Field Values

### WORK

    static final int WORK

  Propagate a WorkContext across Work instances.

  See Also:
    Constant Field Values

### RMI

    static final int RMI

  Propagate a WorkContext across RMI invocations.

  See Also:
    Constant Field Values

### TRANSACTION

    static final int TRANSACTION

  Propagate a WorkContext across global transactions.

  See Also:
    Constant Field Values

### JMS_QUEUE

    static final int JMS_QUEUE

  Propagate a WorkContext to JMS queues.

  See Also:
    Constant Field Values

### JMS_TOPIC

    static final int JMS_TOPIC

  Propagate a WorkContext to JMS topics.

  See Also:
    Constant Field Values

### SOAP

    static final int SOAP

  Propagate a WorkContext across SOAP messages.

  See Also:
    Constant Field Values

### MIME_HEADER

    static final int MIME_HEADER

  Propagate a WorkContext from a MIME header or HTTP cookie.

  See Also:
    Constant Field Values

### ONEWAY

    static final int ONEWAY

  Propagate a WorkContext downstream from the caller only.

  See Also:
    Constant Field Values

### GLOBAL

    static final int GLOBAL

  Propagate a WorkContext across remote invocations and local invocations in the same thread.

  See Also:
    Constant Field Values

### DEFAULT

    static final int DEFAULT

  The default `PropagationMode` which is equivalent to `REMOTE`.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD